extends layout

block content
  p.text-grey-dark
    a.fa.fa-home(href="/")
    |
    | &raquo;
    |
    a(href="/admin/") Admin
    |
    | &raquo;
    |
    span Books

  #app
    .float-right
      a.btn.btn-primary.new-location(@click.prevent="onClickNewLocation" href="new")
        span.fa.fa-plus
        |
        | New Book
    .float-right
      a.btn.btn-primary.new-location(@click.prevent="onClickScanMode" href="scan")
        span.fa.fa-plus
        |
        | Scan Mode

    h2 Books

    table
      thead
        tr
          th(width="25%") ISBN
          th(width="25%") Title
          th(width="25%") Author
          th(width="25%") Tags
      tbody
        tr(v-for="(book, i) in books" :key="book.isbn")
          td {{ book.isbn }}
          td
            a(:href="'/book/' + book.isbn + '/'") {{ book.title }}
          td {{ book.author }}
          td {{ book.tags }}

block scripts
  script(src="/s/v/axios-v0.18.0/axios.min.js")
  script(src="/s/v/vue-v2.5.16/vue.min.js")
  script(src="/s/js/admin_book.js")
